# IncrementMovePriorityAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IncrementMovePriorityAbAttr

#### Hierarchy (view full)

- AbAttr
  - IncrementMovePriorityAbAttr

- Defined in src/data/ability.ts:2521

#####
Index

### Constructors

constructor

### Properties

increaseAmount
moveIncrementFunc
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new IncrementMovePriorityAbAttr(moveIncrementFunc, increaseAmount?): IncrementMovePriorityAbAttr

- #### Parameters

  - moveIncrementFunc: ((pokemon, move) => boolean)
    - - (pokemon, move): boolean

      - #### Parameters

        - pokemon: default
        - move: default

        #### Returns boolean

  - increaseAmount: number = 1

  #### Returns IncrementMovePriorityAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:2525

## Properties

### `Private` increaseAmount

increaseAmount: number

- Defined in src/data/ability.ts:2523

### `Private` moveIncrementFunc

moveIncrementFunc: ((pokemon, move) => boolean)

#### Type declaration

- - (pokemon, move): boolean

  - #### Parameters

    - pokemon: default
    - move: default

    #### Returns boolean

- Defined in src/data/ability.ts:2522

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:2532

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139